tigase.auth.mechanisms

## Class TigaseSaslServerFactory

- java.lang.Object
- - tigase.auth.mechanisms.TigaseSaslServerFactory

- All Implemented Interfaces:
    SaslServerFactory

      @Bean(name="tigaseSaslServerFactory",
            parent=TigaseSaslProvider.class,
            active=true)
      public class TigaseSaslServerFactory
      extends Object
      implements SaslServerFactory

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ANONYMOUS_MECHANISM_ALLOWED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TigaseSaslServerFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SaslServer` | `createSaslServer(String mechanism, String protocol, String serverName, Map<String,?> props, CallbackHandler callbackHandler)`
    `String[]` | `getMechanismNames(Map<String,?> props)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ANONYMOUS_MECHANISM_ALLOWED

          public static final String ANONYMOUS_MECHANISM_ALLOWED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TigaseSaslServerFactory

          public TigaseSaslServerFactory()

  - ### Method Detail

    - #### createSaslServer

          public SaslServer createSaslServer(String mechanism,
                                             String protocol,
                                             String serverName,
                                             Map<String,?> props,
                                             CallbackHandler callbackHandler)
                                      throws SaslException

      Specified by:
        `createSaslServer` in interface `SaslServerFactory`
      Throws:
        `SaslException`

    - #### getMechanismNames

          public String[] getMechanismNames(Map<String,?> props)

      Specified by:
        `getMechanismNames` in interface `SaslServerFactory`

Copyright © 2004–2020 "Tigase, Inc.". All rights reserved.